package com.nisum.psspringboot1.controllers;

import com.nisum.psspringboot1.models.Speaker;
import com.nisum.psspringboot1.repositories.SpeakerRepository;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/v1/speakers")
public class SpeakerController {
    @Autowired
    SpeakerRepository repository;

    @GetMapping
    public List<Speaker> getAllSpeakers() { return repository.findAll(); }

    @GetMapping("{id}")
    public Speaker getSpeakerById(@PathVariable("id") Long id) { return repository.getOne(id); }

    @PostMapping
    public Speaker createSpeaker(@RequestBody final Speaker speaker) { return repository.saveAndFlush(speaker); }

    @PutMapping("{id}")
    public Speaker updateSpeaker(@PathVariable("id") Long id, @RequestBody Speaker speaker) {
        Speaker oldSpeaker = repository.getOne(id);
        BeanUtils.copyProperties(speaker, oldSpeaker, "speaker_id");
        return  oldSpeaker;
    }

    @DeleteMapping("{id}")
    public void deleteSpeaker(@PathVariable("id") Long id) { repository.deleteById(id); }
}
